## MgEntryTime

MgEntryTime —

## Synopsis

    struct      MgEntryTime;
    struct      MgEntryTimePrivate;
    guint       mg_entry_time_get_type          (void);
    GtkWidget*  mg_entry_time_new               (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                                 +----MgEntryTime

## Implemented Interfaces

MgEntryTime implements MgDataEntry, AtkImplementorIface and GtkCellEditable.

## Properties

      "editing-cancelled"    gboolean             : Read

## Description

## Details

### struct MgEntryTime

    struct MgEntryTime;

### struct MgEntryTimePrivate

    struct MgEntryTimePrivate;

### mg_entry_time_get_type ()

    guint       mg_entry_time_get_type          (void);

Returns : |

### mg_entry_time_new ()

    GtkWidget*  mg_entry_time_new               (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget

## Properties

"`editing-cancelled`" (gboolean : Read) |